summaryrefslogtreecommitdiffstats
path: root/tools/compare-buildsys.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 14:30:35 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 14:30:35 +0000
commit378c18e5f024ac5a8aef4cb40d7c9aa9633d144c (patch)
tree44dfb6ca500d32cabd450649b322a42e70a30683 /tools/compare-buildsys.sh
parentInitial commit. (diff)
downloadutil-linux-378c18e5f024ac5a8aef4cb40d7c9aa9633d144c.tar.xz
util-linux-378c18e5f024ac5a8aef4cb40d7c9aa9633d144c.zip
Adding upstream version 2.38.1.upstream/2.38.1upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'tools/compare-buildsys.sh')
-rwxr-xr-xtools/compare-buildsys.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/tools/compare-buildsys.sh b/tools/compare-buildsys.sh
new file mode 100755
index 0000000..e88cbd5
--- /dev/null
+++ b/tools/compare-buildsys.sh
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+FILTER="$1"
+
+MESON_CONFIG_H="build/config.h"
+AUTOCONF_CONFIG_H="./config.h"
+
+if [ ! -f $MESON_CONFIG_H ]; then
+ echo 'Meson is not ready in the build/ directory (try "meson build")'
+ exit 1
+fi
+
+if [ ! -f $AUTOCONF_CONFIG_H ]; then
+ echo 'Autotools are not ready (try "./autogen.sh; ./configure")'
+ exit 1
+fi
+
+TMPFILE_MESON="/tmp/util-linux-meson"
+TMPFILE_AUTOCONF="/tmp/util-linux-autoconf"
+
+GREP_PATTERN="#define "
+
+if [ "$FILTER" = "headers" ]; then
+ GREP_PATTERN="#define .*_H[[:blank:]]"
+fi
+
+echo "===MESON===" > $TMPFILE_MESON
+grep "$GREP_PATTERN" $MESON_CONFIG_H | sort >> $TMPFILE_MESON
+
+echo "===AUTOCONF===" > $TMPFILE_AUTOCONF
+grep "$GREP_PATTERN" $AUTOCONF_CONFIG_H | sort >> $TMPFILE_AUTOCONF
+
+diff --side-by-side $TMPFILE_AUTOCONF $TMPFILE_MESON
+
+rm -rf $TMPFILE_MESON $TMPFILE_AUTOCONF